void GetDescription(char d[])
{
   strcpy(d,"Soft buttons - Show");
}
int GetPriority()
{
  return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}


void SetAlpha(char s[], int a)
{
  int r, g, b;
  char sval[10];
  char n[200];
  
  strcpy(n,s);

  r = GetValueAfter(n);
  ltoa(r,sval,10);
  strcat(n,sval);
  strcat(n," ");

  g = GetValueAfter(n);
  ltoa(g,sval,10);
  strcat(n,sval);
  strcat(n," ");

  b = GetValueAfter(n);
  ltoa(b,sval,10);
  strcat(n,sval);
  strcat(n," ");

  ltoa(a,sval,10);
  strcat(n,sval);

  ReplaceLineByStr(s,n);
  
}


void PatchSKI()
{
   SetAlpha("4 639 ", 0);
   SetAlpha("4 641 ", 128); 
   SetAlpha("4 641 ", 128);
   
   SetAlpha("4 646 ", 0);
   SetAlpha("4 647 ", 128);
   SetAlpha("4 648 ", 128);
   
   ReplaceLineByStr("2 650 ", "2 650 0");
   ReplaceLineByStr("2 653 ", "2 653 0");
   ReplaceLineByStr("2 657 ", "2 657 0");
   ReplaceLineByStr("2 662 ", "2 662 0");
   ReplaceLineByStr("2 665 ", "2 665 0");
   ReplaceLineByStr("2 669 ", "2 669 0");
   ReplaceLineByStr("2 672 ", "2 672 0");
   ReplaceLineByStr("2 677 ", "2 677 0");
   ReplaceLineByStr("2 679 ", "2 679 0");
   ReplaceLineByStr("2 680 ", "2 680 0");
}